Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
Class SAXBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.xml.SAXBuilder

All Implemented Interfaces:
  GroovyObject

    public class SAXBuilder
    extends BuilderSupport

A builder for generating W3C SAX events. Use similar to MarkupBuilder.

Version:
  $Revision: 19470 $
Author:
  James Strachan

Constructor Summary
Constructor and Description
`SAXBuilder(ContentHandler handler)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`protected Object` | `createNode(Object name)`
`protected Object` | `createNode(Object name, Map attributes)`
`protected Object` | `createNode(Object name, Map attributeMap, Object text)`
`protected Object` | `createNode(Object name, Object value)`
`protected void` | `doStartElement(Object name, Attributes attributes)`
`protected void` | `handleException(SAXException e)`
`protected void` | `nodeCompleted(Object parent, Object name)` A hook to allow nodes to be processed once they have had all of their children applied.
`protected void` | `setParent(Object parent, Object child)`

Methods inherited from class groovy.util.BuilderSupport
`doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, postNodeCompletion, setClosureDelegate, setCurrent`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXBuilder

    public SAXBuilder(ContentHandler handler)

Method Detail

### setParent

    protected void setParent(Object parent,
                             Object child)

  Specified by:
    `setParent` in class `BuilderSupport`

### createNode

    protected Object createNode(Object name)

  Specified by:
    `createNode` in class `BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Object value)

  Specified by:
    `createNode` in class `BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Map attributeMap,
                                Object text)

  Specified by:
    `createNode` in class `BuilderSupport`

### doStartElement

    protected void doStartElement(Object name,
                                  Attributes attributes)

### nodeCompleted

    protected void nodeCompleted(Object parent,
                                 Object name)

  Description copied from class: `BuilderSupport`
  A hook to allow nodes to be processed once they have had all of their children applied.

  Overrides:
    `nodeCompleted` in class `BuilderSupport`
  Parameters:
    `parent` - the parent of the node being processed
    `name` - the current node being processed

### handleException

    protected void handleException(SAXException e)

### createNode

    protected Object createNode(Object name,
                                Map attributes)

  Specified by:
    `createNode` in class `BuilderSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD